Add Tasks
curl --request POST \
--url https://api.lobstr.io/v1/tasks \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.lobstr.io/v1/tasks"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://api.lobstr.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Google News Search Export
Add Tasks
Add keyword-based tasks to scrape Google News articles
POST
/
v1
/
tasks
Add Tasks
Add keyword-based tasks to scrape Google News articles. Each task represents a news search query that will fetch matching articles from Google News.
Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEYstring
required
Request body format. Value:
application/jsonRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
| squid | string | Yes | Hash of your squid configured with the google-news-search-export crawler |
| tasks | array | Yes | Array of task objects, each containing a keyword field |
Task Object
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | Yes | The news search query (e.g., crab, climate change, tech news) |
Use specific keywords for more targeted news results.
Configure time range and language in the squid settings to filter results.
Code Examples
curl -X POST "https://api.lobstr.io/v1/tasks" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tasks": [
{"keyword": "crab"},
{"keyword": "climate change"}
],
"squid": "YOUR_SQUID_HASH"
}'
import requests
API_KEY = "YOUR_API_KEY"
BASE_URL = "https://api.lobstr.io/v1"
headers = {"Authorization": f"Token {API_KEY}"}
squid_id = "YOUR_SQUID_HASH"
# Add keyword-based news search tasks
response = requests.post(f"{BASE_URL}/tasks",
headers=headers,
json={
"squid": squid_id,
"tasks": [
{"keyword": "crab"},
{"keyword": "climate change"}
]
}
)
data = response.json()
print(f"Added {len(data['tasks'])} tasks")
for task in data["tasks"]:
print(f" {task['id']}: {task['params']['keyword']}")
Response
200
{
"duplicated_count": 0,
"tasks": [
{
"id": "5f5ccd42b74cf18196dcb7fe14fb8030",
"created_at": "2025-07-04T04:51:12.532884",
"is_active": true,
"params": {
"keyword": "crab"
},
"module": 131,
"object": "task"
}
]
}
⌘I